Package org.eclipse.cdt.utils.elf.parser

## Class ElfBinaryShared

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.utils.BinaryFile
    - - org.eclipse.cdt.utils.BinaryObjectAdapter
      - - org.eclipse.cdt.utils.elf.parser.ElfBinaryObject
        - - org.eclipse.cdt.utils.elf.parser.ElfBinaryShared

All Implemented Interfaces:
  `IBinaryParser.IBinaryExecutable`, `IBinaryParser.IBinaryFile`, `IBinaryParser.IBinaryObject`, `IBinaryParser.IBinaryShared`, `org.eclipse.core.runtime.IAdaptable`

    public class ElfBinaryShared
    extends ElfBinaryObject
    implements IBinaryParser.IBinaryShared

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`BinaryObjectAdapter.BinaryObjectInfo`

### Field Summary

### Fields inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`NO_SYMBOLS`

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Constructor Summary

Constructors
`ElfBinaryShared​(ElfParser parser, org.eclipse.core.runtime.IPath p)`

### Method Summary

### Methods inherited from class org.eclipse.cdt.utils.elf.parser.ElfBinaryObject

`addSymbols, getAdapter, getAddressFactory, getBinaryObjectInfo, getContents, getCPU, getElfHelper, getName, getSymbols, isLittleEndian, loadAll, loadInfo, loadInfo, loadSymbols`

### Methods inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`getBSS, getData, getNeededSharedLibs, getSoName, getSymbol, getText, hasDebug, toString`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getPath, getType, hasChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryExecutable

`getNeededSharedLibs`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryObject

`getAddressFactory, getBSS, getCPU, getData, getName, getSymbol, getSymbols, getText, hasDebug, isLittleEndian`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryShared

`getSoName`

### Constructor Detail

#### ElfBinaryShared

    public ElfBinaryShared​(ElfParser parser,
                           org.eclipse.core.runtime.IPath p)

Parameters:
  `parser` -
  `p` -